Subject: Re: CUTTING OIL recamend

From: john_olson@powerbbs (JOHN OLSON)
Date: Wed, 04 Oct 1995 04:59:00 GMT

R(>In article <[email-masked]>, Rich S 
<[email-masked]> 
R(>wrote:
R(>>	I've heard about a product called Boelube. It's a soild 
form 
R(>>(like wax) cutting lubricate that's non-toxic and supposed to 
be 
R(>>non-irritating, which is good for me because the littlest 
wiff of 
R(>>cutting oil smoke makes my throat and lungs feel I've ran 
them 
R(>through 
R(>>a cheese grater. Has anybody in the group used this product? 
Could 
R(>it 
R(>>be used in lathe work?

I use a product called Anchor Lube from Anchor Chemical Co.(I'd 
have to look at work for the address.) I haven't tryed it for any 
thing but drilling and tapping. It works very well and NO 
warnings for toxicity, flammability, etc.  I do quite a bit of 
drilling and tapping of stainless steel for 2-56 to 1/2-13 and 
this is as good as I've found. wipes off with no oily residue.
John

John Olson  E-Mail ([email-masked])
---
 * PowerAccess 1.06 BREAKFAST.COM Halted...Cereal Port Not Responding.